Bug 68997 - readelf --debug-dump=attribute no longer filters output
readelf --debug-dump=attribute no longer filters output
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: binutils (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-16 16:11 EDT by Jason Baietto
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-16 23:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Baietto 2002-07-16 16:11:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020625

Description of problem:
In earlier versions of Red Hat the readelf --debug-dump=info option would print
out only the dwarf2 info sections.  On Limbo, a warning is produced if any
'=attribute' is specified:

   readelf: Warning: Unrecognized debug option 'info'

in spite of the that both the --help and info output claim that this is
supported.  For large object files, the inability to filter debug sections is
very inconvenient.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile hello.c with -g
2. run readelf --debug-dump=info a.out > /tmp/output
3. see warning on stderr
4. see unfiltered output in /tmp/output

	

Actual Results:  soybean$ readelf --debug-dump=info a.out > /dev/null
readelf: Warning: Unrecognized debug option 'info'


Additional info:
Comment 1 Jakub Jelinek 2002-08-16 02:35:46 EDT
Should be fixed in binutils-2.13.90.0.2-1.

Note You need to log in before you can comment on or make changes to this bug.